Bug 544628 - at-spi2-core - Protocol definitions and daemon for D-Bus at-spi
Summary: at-spi2-core - Protocol definitions and daemon for D-Bus at-spi
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 544629 544630
TreeView+ depends on / blocked
 
Reported: 2009-12-05 19:34 UTC by Matthias Clasen
Modified: 2010-01-05 02:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 02:27:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Clasen 2009-12-05 19:34:47 UTC
The accessibility framework is being rewritten on top of D-Bus to get rid of ORBit/CORBA. This package is an early release of the core of the new framework.

I'm packaging it now to allow people to start testing and reporting problems. 
For now, the at-spi2 packages will have Conflicts with the at-spi packages. This
will be replaced by Provides/Obsoletes, once at-spi2 is feature-complete and ready for prime time.

SRPM: http://mclasen.fedorapeople.org/at-spi2/at-spi2-core-0.1.3-1.fc12.src.rpm
Spec: http://mclasen.fedorapeople.org/at-spi2/at-spi2-core.spec

Mock complains about three empty interface definitions, which is probably a problem with the xslt script that converts them from the docs. I'll report that upstream.

Comment 1 Thomas Spura 2009-12-05 21:35:59 UTC
Just a few comments:

- There is no conflicts with the at-spi packages as described above, yet.
- source url is wrong: should be download*DOT*gnome*DOT*org

Comment 2 Matthias Clasen 2009-12-06 16:03:56 UTC
This one is not conflicting. The at-spi2-atk and pyatspi packages are, though.

Comment 3 Thomas Spura 2009-12-21 12:37:37 UTC
Review:

Good:
- license ok
- name ok
- buildroot ok (unneeded in fedora)
- parallel make
- %clean section there
- %files section ok
  * owns all directories it creates
  * requires d-bus for one folder
- buildrequires/requires ok
- builds in koji
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1882908
- noarch not possible
- no *.la files
- no shared libs
- %doc ok


Needswork:
- URL still wrong, see comment #1
- from https://fedoraproject.org/wiki/Packaging/Guidelines#Libexecdir
  'Packagers are highly encouraged to store libexecdir files in a package-specific subdirectory of %{_libexecdir}, such as %{_libexecdir}/%{name}'
- What's the status of the xslt script?



############################

Please fix the url; subdirectory of %{_libexecdir} and 'Is programm working as expected?' are just 'should' items.

############################

APPROVED

Comment 4 Matthias Clasen 2009-12-23 00:49:04 UTC
Thanks for the review. 
I've fixed the url in the package that I am going to import..

Comment 5 Matthias Clasen 2009-12-23 00:50:31 UTC
New Package CVS Request
=======================
Package Name: at-spi2-core
Short Description: Protocol definitions and daemon for D-Bus at-spi
Owners: mclasen
Branches: 
InitialCC:

Comment 6 Dennis Gilmore 2009-12-23 19:51:22 UTC
CVS Done

Comment 7 Matthias Clasen 2010-01-05 02:27:17 UTC
Build done.


Note You need to log in before you can comment on or make changes to this bug.